## ros-humble-ros2cli 0.18.7

=== debian/changelog ===
ros-humble-ros2cli (0.18.7-1jammy) jammy; urgency=high

  * Set automatically_declare_parameters_from_overrides in DirectNode. (#813 <https://github.com/ros2/ros2cli/issues/813>) (#815 <https://github.com/ros2/ros2cli/issues/815>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-ros2cli (0.18.6-1jammy) jammy; urgency=high

  * Save method list via connection check to XMLRPC server. (#796 <https://github.com/ros2/ros2cli/issues/796>) (#798 <https://github.com/ros2/ros2cli/issues/798>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-ros2cli (0.18.5-1jammy) jammy; urgency=high

  * Fix network aware node issue (#785 <https://github.com/ros2/ros2cli/issues/785>) (#786 <https://github.com/ros2/ros2cli/issues/786>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-ros2cli (0.18.4-1jammy) jammy; urgency=high

  * XMLRPC server accepts request from all local IP addresses. (#729 <https://github.com/ros2/ros2cli/issues/729>) (#733 <https://github.com/ros2/ros2cli/issues/733>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-ros2cli (0.18.3-1jammy) jammy; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#706 <https://github.com/ros2/ros2cli/issues/706>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-ros2cli (0.18.2-1jammy) jammy; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-humble-ros2cli (0.18.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-humble-ros2cli (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-ros2cli (0.17.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-humble-ros2cli (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 00:00:00 -0000

ros-humble-ros2cli (0.16.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ros2cli (0.16.0-1jammy) jammy; urgency=high

  * Use try_shutdown() instead of shutdown() in DirectNode.__exit__() (#683 <https://github.com/ros2/ros2cli/issues/683>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-ros2cli (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Reapply #659 <https://github.com/ros2/ros2cli/issues/659> (#661 <https://github.com/ros2/ros2cli/issues/661>)
  * Revert "Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)" (#660 <https://github.com/ros2/ros2cli/issues/660>)
  * Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)
  * add uuid to ros2 daemon node name. (#658 <https://github.com/ros2/ros2cli/issues/658>)
  * Transfer daemon socket ownership on spawn. (#652 <https://github.com/ros2/ros2cli/issues/652>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Michel Hidalgo, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-humble-ros2cli (0.14.0-1jammy) jammy; urgency=high

  * Ensure only one daemon can run at a time. (#622 <https://github.com/ros2/ros2cli/issues/622>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-humble-ros2cli (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-ros2cli (0.12.0-1jammy) jammy; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Bugfix for #563 <https://github.com/ros2/ros2cli/issues/563>. (#570 <https://github.com/ros2/ros2cli/issues/570>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Daisuke Sato, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 00:00:00 -0000

ros-humble-ros2cli (0.11.0-1jammy) jammy; urgency=high

  * Support Python 3.8-provided importlib.metadata. (#585 <https://github.com/ros2/ros2cli/issues/585>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-ros2cli (0.10.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-humble-ros2cli (0.10.0-1jammy) jammy; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Added dependency to python3-argcomplete to ros2cli. (#564 <https://github.com/ros2/ros2cli/issues/564>)
  * Remove use of pkg_resources from ros2cli. (#537 <https://github.com/ros2/ros2cli/pull/537>)
  * Contributors: Chris Lalancette, Claire Wang, Yoan Mollard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-humble-ros2cli (0.9.5-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000


