## ros-humble-ros2cli 0.18.10

=== debian/changelog ===
ros-humble-ros2cli (0.18.10-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-ros2cli (0.18.9-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-ros2cli (0.18.8-1bookworm) bookworm; urgency=high

  * make handles not inheritable to prevent from blocking durning tab-completion (#852 <https://github.com/ros2/ros2cli/issues/852>) (#873 <https://github.com/ros2/ros2cli/issues/873>)
  * catch ExternalShutdownException ros2cli main. (#854 <https://github.com/ros2/ros2cli/issues/854>) (#859 <https://github.com/ros2/ros2cli/issues/859>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ros2cli (0.18.7-1bookworm) bookworm; urgency=high

  * Set automatically_declare_parameters_from_overrides in DirectNode. (#813 <https://github.com/ros2/ros2cli/issues/813>) (#815 <https://github.com/ros2/ros2cli/issues/815>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-ros2cli (0.18.6-1bookworm) bookworm; urgency=high

  * Save method list via connection check to XMLRPC server. (#796 <https://github.com/ros2/ros2cli/issues/796>) (#798 <https://github.com/ros2/ros2cli/issues/798>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-ros2cli (0.18.5-1bookworm) bookworm; urgency=high

  * Fix network aware node issue (#785 <https://github.com/ros2/ros2cli/issues/785>) (#786 <https://github.com/ros2/ros2cli/issues/786>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-ros2cli (0.18.4-1bookworm) bookworm; urgency=high

  * XMLRPC server accepts request from all local IP addresses. (#729 <https://github.com/ros2/ros2cli/issues/729>) (#733 <https://github.com/ros2/ros2cli/issues/733>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-ros2cli (0.18.3-1bookworm) bookworm; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#706 <https://github.com/ros2/ros2cli/issues/706>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-ros2cli (0.18.2-1bookworm) bookworm; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-ros2cli (0.18.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-ros2cli (0.18.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-ros2cli (0.17.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-ros2cli (0.17.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-ros2cli (0.16.1-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-ros2cli (0.16.0-1bookworm) bookworm; urgency=high

  * Use try_shutdown() instead of shutdown() in DirectNode.__exit__() (#683 <https://github.com/ros2/ros2cli/issues/683>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-ros2cli (0.15.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Reapply #659 <https://github.com/ros2/ros2cli/issues/659> (#661 <https://github.com/ros2/ros2cli/issues/661>)
  * Revert "Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)" (#660 <https://github.com/ros2/ros2cli/issues/660>)
  * Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)
  * add uuid to ros2 daemon node name. (#658 <https://github.com/ros2/ros2cli/issues/658>)
  * Transfer daemon socket ownership on spawn. (#652 <https://github.com/ros2/ros2cli/issues/652>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Michel Hidalgo, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-ros2cli (0.14.0-1bookworm) bookworm; urgency=high

  * Ensure only one daemon can run at a time. (#622 <https://github.com/ros2/ros2cli/issues/622>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-ros2cli (0.13.0-1bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-ros2cli (0.12.0-1bookworm) bookworm; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Bugfix for #563 <https://github.com/ros2/ros2cli/issues/563>. (#570 <https://github.com/ros2/ros2cli/issues/570>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Daisuke Sato, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Mar 2021 16:00:00 -0000

ros-humble-ros2cli (0.11.0-1bookworm) bookworm; urgency=high


