## ros-humble-ros2cli 0.18.11

=== debian/changelog ===
ros-humble-ros2cli (0.18.11-1bookworm) bookworm; urgency=high

  * Update daemon.py for Python 3.8 compatibility (#912 <https://github.com/ros2/ros2cli/issues/912>)
  * ros2cli.node.daemon : try getting fdsize from /proc for open fd limit (#888 <https://github.com/ros2/ros2cli/issues/888>) (#908 <https://github.com/ros2/ros2cli/issues/908>)
  * Contributors: AhmedMoaz, mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000
